Skip to main content
PATCH
/
v1
/
orgs
/
{orgId}
/
skill-hubs
/
{skillHubId}
Update skill hub
curl --request PATCH \
  --url https://api.openworklabs.com/v1/orgs/{orgId}/skill-hubs/{skillHubId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "skillHub": {}
}

Path Parameters

orgId
string<typeid>
required

Den TypeID with 'org_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^org_.*
skillHubId
string<typeid>
required

Den TypeID with 'shb_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^shb_.*

Body

application/json
name
string
Required string length: 1 - 255
description
string | null
Maximum string length: 65535

Response

Skill hub updated successfully.

skillHub
object
required